import React from "react";
import classNames from "classnames/bind";
import styles from "./Footer.scss";
import { ReactComponent as IconTwitter } from "@assets/img/svg/ico_twitter.svg";
import { ReactComponent as IconInsta } from "@assets/img/svg/ico_insta.svg";
import { ReactComponent as IconDiscord } from "@assets/img/svg/ico_discord.svg";
import { ReactComponent as IconFacebook } from "@assets/img/svg/ico_facebook.svg";
import { YoutubeIcon } from "./icon/youtube";

const cx = classNames.bind(styles);

interface IOwnProps {}

const Footer: React.FC<IOwnProps> = ({}) => {
  return (
    <div className={cx("footer")}>
      <div className={cx("inner")}>
        <div className={cx("info")}>
          <div className={cx("sns_area")}>
            <p className={cx("desc")}>
              (주) 메타레어 앤에프티
              <br />
              MetaRare NFT lnc.
              <br />
              고객센터
              <br />
              info@meta-rare.net
              <br />
              전화 02-2038-8262 (월~금 9am~6pm 유료전화)
              <br />
              사업자번호 : 302-87-02190
              <br />
              주소 : 서울시 강남구 신사동 508-2 용호빌딩 6층
              <br />
              대표 : 정종회
              <br />
              <br />
              메타레어 NFT내 모든 NFT작품은 발행인이 주체로서 제공을 하며,
              메타레어 NFT는 모든 NFT작품의 소유자나 발행자가 아닌 거래중개자
              입니다.
              <br />
              메타레어 NFT는 투자 또는 거래를 권유목적으로 운영하지 않으며,
              NFT작품 거래시 발생할 수 있는 모든 책임은 NFT발행주체가
              부담합니다.
              <br />
              <br />
              MetaRare Inc. All Rights Reserved
              <br />
              <br />
              누구나 작가가 되는 NFT거래소, 메타레어 NFT
              <br />
              Driving Metaverse Everywhere
              <br />
            </p>
            <div className={cx("sns_link")}>
              <a
                href="https://twitter.com/metarare_nft"
                target="_blank"
                className={cx("link")}
              >
                <IconTwitter />
                <span className={cx("blind")}>트위터</span>
              </a>
              <a
                href="https://www.instagram.com/metarare_official/"
                target="_blank"
                className={cx("link")}
              >
                <IconInsta />
                <span className={cx("blind")}>인스타그램</span>
              </a>
              <a
                href="https://www.youtube.com/channel/UC08Jk0jzWohvjQT0H62Y17Q
"
                target="_blank"
                className={cx("link")}
              >
                <YoutubeIcon />
                <span className={cx("blind")}>Youtube</span>
              </a>
              <a
                href="https://www.facebook.com/MetaRare-NFT-lnc-112216471398493"
                target="_blank"
                className={cx("link_facebook")}
              >
                <IconFacebook />
                <span className={cx("blind")}>Facebook</span>
              </a>
            </div>
          </div>
        </div>
        <div className={cx("info_area")}>
          <div className={cx("policy_area")}>
            <a
              href="../../../static/pdf/terms.pdf"
              download
              className={cx("link")}
            >
              서비스이용약관
            </a>
            <a
              href="../../../static/pdf/personal.pdf"
              download
              className={cx("link")}
            >
              개인정보처리방침
            </a>
          </div>
          <p className={cx("right")}>© MetaRare, Inc. All rights reserved.</p>
        </div>
      </div>
    </div>
  );
};

export default Footer;
