import React from 'react';
import MobileActivityContentContainer from '@src/containers/mobile/ActivityContentContainer';
import PCActivityContentContainer from '@src/containers/pc/ActivityContentContainer';
import { IActivity } from 'metarare';
import { EActivity } from '@src/constants/Enums';
interface IOwnProps {
  list?: IActivity[];
  setSelectedFilterType: (filter: EActivity[]) => void;
  selectedActivityFilter: EActivity[];
}

const ActivityContentContainer: React.FC<IOwnProps> = ({
  list,
  setSelectedFilterType,
  selectedActivityFilter,
}) => {
  return (
    <>
      <div className={'mo_wrapper'}>
        <MobileActivityContentContainer list={list} setSelectedFilterType={setSelectedFilterType} selectedActivityFilter={selectedActivityFilter} />
      </div>
      <div className={'pc_wrapper'}>
        <PCActivityContentContainer list={list} setSelectedFilterType={setSelectedFilterType} selectedActivityFilter={selectedActivityFilter} />
      </div>
    </>
  );
};

export default ActivityContentContainer;
